Skip to main content
GET
/
api
/
v1
/
stories
List stories
curl --request GET \
  --url https://api.example.com/api/v1/stories \
  --header 'Authorization: Bearer <token>'
{
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "reference": "CT-2026-001",
      "title": "Government announces new economic policy",
      "location": "Nairobi",
      "summary": "The government has announced a sweeping new economic policy...",
      "category": "Politics",
      "treatment": "Package",
      "estimated_duration": 120,
      "urgency_level": "high",
      "status": "pending",
      "node": "NODE_PITCH",
      "created_at": "2026-05-27T08:00:00Z",
      "updated_at": "2026-05-27T08:00:00Z",
      "reporter": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "James Wanjiru",
        "employee_number": "EMP-004"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Query Parameters

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"